btllib::OrderQueue< T > Class Template Reference

## Classes

struct | Block
struct | Slot

## Public Member Functions

size_t | elements () const
void | close ()
bool | is_closed () const
| OrderQueue (const size_t queue_size, const size_t block_size)
| OrderQueue (const OrderQueue &)=delete
| OrderQueue (OrderQueue &&)=delete

## Protected Attributes

std::vector< Slot > | slots
size_t | queue_size
size_t | block_size
size_t | read_counter = 0
std::atomic< size_t > | element_count { 0 }
std::atomic< bool > | closed { false }

The documentation for this class was generated from the following file:

- include/btllib/order_queue.hpp